Subject: WG ACTION: Content Negotiation (conneg)

From: The IESG <[email-masked]>
Date: Wed, 18 Feb 1998 11:10:00 -0500

A new working group has been formed in the Applications Area of the IETF.
For additional information, contact the Area Directors
or the WG Chair.

Content Negotiation (conneg)
----------------------------
 
 Current Status: Active Working Group
 
 Chair(s):
     E. Hardie <[email-masked]>
 
 Applications Area Director(s): 
     Keith Moore  <[email-masked]>
     Harald Alvestrand  <[email-masked]>
 
 Applications Area Advisor: 
     Harald Alvestrand  <[email-masked]>
 
 Editor(s):
     A. Mutz  <[email-masked]>
     G. Klyne  <[email-masked]>
 
 Mailing Lists: 
     General Discussion:[email-masked]
     To Subscribe:      [email-masked]
         In Body:       subscribe
     Archive:           http://www.imc.org/ietf-medfree/
 
Description of Working Group:
 
A number of Internet application protocols need to indicate recipient
capabilities, characteristics, and preferences when the resources they
handle can vary in form.  This working group will finalize registration 
procedures for distinguishing attributes which cause the media delivered 
to vary in form.  The registration of these "media features" will 
provide a supplement to the MIME registration of media types and enable 
the development of a cross-protocol vocabulary for exchanging 
information on recipient capabilities, characteristics, and
preferences.  Since these distinguishing attributes commonly occur in
related sets, this working group will also describe at least one
method for referring to composite media feature sets.  Experimental
methods for using these features and feature sets within specific
protocol contexts may be developed within this group or within the
groups standardizing the relevant protocols.

The working group is aware of applications which desire to negotiate
what content is delivered as well as the form in which it is
delivered.  As much as possible, the group will endeavor to create a
framework for exchange sturdy enough to handle the later addition of
this type of negotiation.  It will not, however, address this need
directly nor will it limit its design choices based on the possible
later addition of this negotiation.
 
 Goals and Milestones: 
 
   Feb 98       Submission of registration procedure draft as BCP              

   Feb 98       First draft of Requirements and frameworks document.           

   Feb 98       Submission of feature scenarios draft as Informational RFC     

   Mar 98       Revised draft of Requirements and frameworks document.         

   Mar 98       First draft of composite feature set draft.                    

   May 98       Requirements and frameworks document to Information RFC        

   May 98       Revised feature set draft                                      

   Jul 98       Feature set draft to Informational RFC                         

   Aug 98       Working Group Closes